package com.dayou.service.impl;

import com.dayou.brokerage.annotation.RefreshBrokerageDate;
import com.dayou.entity.BrokerageMarketerRatio;
import com.dayou.mapper.BrokerageMarketerRatioMapper;
import com.dayou.service.IBrokerageMarketerRatioService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.dayou.utils.ExcelUtil;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
import java.util.List;
import java.util.ArrayList;
import org.springframework.transaction.annotation.Transactional;
import com.dayou.enums.BatchTaskTypeEnum;

/**
 * <p>
 * 项目提成比例（市场人员） 服务实现类
 * </p>
 *
 * @author wucl
 * @since 2023-03-03
 */
@Service
public class BrokerageMarketerRatioServiceImpl extends ServiceImpl<BrokerageMarketerRatioMapper, BrokerageMarketerRatio> implements IBrokerageMarketerRatioService {


    @Override
    @SuppressWarnings("unchecked")
    public Page<BrokerageMarketerRatio> selectPage(Page page,BrokerageMarketerRatio brokerageMarketerRatio){
        return this.page(page, new QueryWrapper<BrokerageMarketerRatio>(brokerageMarketerRatio));
    }


    @Override
    public BrokerageMarketerRatio detail(Long id){
        return this.getById(id);
    }

    @RefreshBrokerageDate
    @Override
    public Boolean add(BrokerageMarketerRatio brokerageMarketerRatio){
        return  this.save(brokerageMarketerRatio);
    }

    @RefreshBrokerageDate
    @Override
    public Boolean update(BrokerageMarketerRatio brokerageMarketerRatio){
        return  this.updateById(brokerageMarketerRatio);
    }

    @RefreshBrokerageDate
    @Override
    public Boolean delete(Long id){
        //逻辑删除
        return this.removeById(id);
    }
}
